> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tensorpix.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv2tensorshotsassetsvideos

> List top-level video assets.



## OpenAPI

````yaml https://backend.tensorpix.ai/api/schema/ get /api/v2/tensorshots/assets/videos/
openapi: 3.1.0
info:
  title: TensorPix OpenAPI Documentation
  version: 1.1.0
  termsOfService: https://tensorpix.ai/terms-conditions
  contact:
    name: TensorPix Dev Team
    email: devs@tensorpix.ai
servers:
  - url: https://backend.tensorpix.ai
security: []
externalDocs:
  url: https://docs.tensorpix.ai
  description: Check out the full TensorPix documentation.
paths:
  /api/v2/tensorshots/assets/videos/:
    get:
      tags:
        - v2
      description: List top-level video assets.
      operationId: v2_tensorshots_assets_videos_list
      parameters:
        - name: limit
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
        - name: ordering
          required: false
          in: query
          description: Which field to use when ordering the results.
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedVideoAssetList'
          description: ''
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthenticatedError'
          description: ''
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
          description: ''
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitError'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PaginatedVideoAssetList:
      type: object
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/VideoAsset'
    UnauthenticatedError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
      required:
        - detail
    ForbiddenError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
      required:
        - detail
    RateLimitError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
      required:
        - detail
    VideoAsset:
      type: object
      description: Serializer for VideoAsset with basic fields.
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          readOnly: true
          description: Human-readable asset name.
        name_tag:
          type: string
          readOnly: true
          description: >-
            Tag identifier for the asset that's based on asset's name. Used on
            frontend to reference the asset '@Parrot-1')
          pattern: ^[-a-zA-Z0-9_]+$
        tags:
          type: array
          items:
            type: string
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: Datetime when the record was created.
        file:
          type:
            - string
            - 'null'
          format: uri
          readOnly: true
          description: >-
            Video file stored on S3. Pre-signed URL may expire. To generate a
            new URL, call the endpoint again. If the field is `null`, it means
            the video hasn't been completely uploaded.
        external_url:
          type:
            - string
            - 'null'
          format: uri
          readOnly: true
          description: External URL if video is hosted elsewhere (not on our S3).
        thumbnail:
          type:
            - string
            - 'null'
          format: uri
          readOnly: true
          description: Image thumbnail of the video
        last_frame:
          type:
            - string
            - 'null'
          format: uri
          readOnly: true
          description: Last frame of the video as an image.
        width:
          type: integer
          readOnly: true
          description: Video width in pixels.
        height:
          type: integer
          readOnly: true
          description: Video height in pixels.
        file_size:
          type: integer
          readOnly: true
          description: File size in bytes.
        num_frames:
          type: integer
          readOnly: true
          description: Total number of frames in the video.
        framerate:
          type: number
          format: double
          readOnly: true
          description: Framerate in frames per second (fps).
        duration_s:
          type: number
          format: double
          description: Calculate video duration in seconds.
          readOnly: true
        bitrate:
          type:
            - integer
            - 'null'
          readOnly: true
          description: Video bitrate in bits per second.
        codec_id:
          type:
            - string
            - 'null'
          readOnly: true
          description: Video codec identifier (e.g., 'h264', 'vp9').
        bit_depth:
          type:
            - integer
            - 'null'
          readOnly: true
          description: Bit depth of the video.
        chroma_subsampling:
          type:
            - string
            - 'null'
          readOnly: true
          description: Chroma subsampling format (e.g., '4:2:0').
        color_space:
          type:
            - string
            - 'null'
          readOnly: true
          description: Color space (e.g., 'bt709', 'bt2020').
      required:
        - bit_depth
        - bitrate
        - chroma_subsampling
        - codec_id
        - color_space
        - created_at
        - duration_s
        - external_url
        - file
        - file_size
        - framerate
        - height
        - id
        - last_frame
        - name
        - name_tag
        - num_frames
        - tags
        - thumbnail
        - width
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````